# SimpleMutex Class Reference

`#include <SimpleMutex.h>`

List of all members.

## Public Member Functions

| SimpleMutex ()
| ~SimpleMutex ()
void | Lock (void)
void | Unlock (void)

## Private Attributes

pthread_mutex_t | hMutex

## Detailed Description

Provide critical section protection. using mutual exclusion mecanisms.

## Constructor & Destructor Documentation

SimpleMutex::SimpleMutex | ( |  | ) |

| Default Constructor

SimpleMutex::~SimpleMutex | ( |  | ) |

| Destructor

## Member Function Documentation

void SimpleMutex::Lock | ( | void |  | ) |

| Acquire the exclusive access to the critical section.

void SimpleMutex::Unlock | ( | void |  | ) |

| Release the exclusive access to the critical section.

## Member Data Documentation

pthread_mutex_t SimpleMutex::hMutex `[private]`

| The critical section manager.

The documentation for this class was generated from the following files:

- Projects/raknet/include/raknet/SimpleMutex.h
- Projects/raknet/Source/SimpleMutex.cpp